<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

	<PropertyGroup>
		<TargetFramework>net8.0</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<ServiceWorkerAssetsManifest>service-worker-assets.js</ServiceWorkerAssetsManifest>		
		<BlazorCacheBootResources>false</BlazorCacheBootResources>
		<PackageId>$(AssemblyName)</PackageId>
		<Authors>$(AssemblyName)</Authors>
		<Company>$(Authors)</Company>
	</PropertyGroup>

	<ItemGroup>
	  <Content Remove="C:\Users\e-vas\.nuget\packages\chartjs.blazor.fork\2.0.2\contentFiles\any\netstandard2.1\wwwroot\ChartJsBlazorInterop.js" />
	</ItemGroup>

	<ItemGroup>
	  <None Include="wwwroot\assets\react.svg" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="Blazored.LocalStorage" Version="4.5.0" />
		<PackageReference Include="CurrieTechnologies.Razor.SweetAlert2" Version="5.6.0" />
		<PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="8.0.8" />
		<PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="8.0.8" />
	</ItemGroup>

	<ItemGroup>
		<ServiceWorker Include="wwwroot\service-worker.js" PublishedContent="wwwroot\service-worker.published.js" />
	</ItemGroup>

	<ItemGroup>
	  <ProjectReference Include="..\BlazorPages\BlazorPages.csproj" />
	  <ProjectReference Include="..\Models\Models.csproj" />
	</ItemGroup>
	<PropertyGroup>
		<PublishTrimmed>true</PublishTrimmed>
	</PropertyGroup>
</Project>
